* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html body {
    background-image: url('/images/background.jpg');
    background-size: cover;
    background-position: center;
    font-family: Arial, sans-serif;
    width: 100%;
    margin: 0;
    padding: 0;
}

.headerAccueil {
    background: radial-gradient(circle, #f49405 0%, #f3f4a1 50%);
    text-align: center;
    min-height: 170px;
}

.headerAccueil .status,
.header .status {
    background-color: #393737;
    color: #f5f5f5;
    width: 100%;
    text-align: center;
    padding: 5px 0;
    margin: 20px 0 20px 0;
}

.button-headerAccueil,
.button-accueil {
    display: flex;
    justify-content: center;
    gap: 1.5rem;

}

.headerAccueil-btn,
.accueil-btn {
    background-color: #393737;
    color: white;
    border-radius: 5px;
    border: #000000 1px solid;
    padding: 7px;
}

.headerAccueil-btn:hover,
.accueil-btn:hover {
    background-color: white;
    color: #393737;
    border-radius: 5px;
    text-decoration: none;
    border: #000000 1px solid;
}

.header,
.footer {
    background-color: #f6f0bf;
}

.footer a {
    color: #000000;
}

/*------------*/
.bandeau-container {
    width: 100%;
    overflow: hidden;
    color: #000000;
    border: 1px solid #000000;
    white-space: nowrap;
    position: relative;
    height: 40px;
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.emoji-warning {
    font-size: 1.5em;
    margin-right: 0.3em;
}

.bandeau-container.notice {
    background-color: #046e0790;
}

.bandeau-container.warning {
    background-color: #ff990090;
}

.bandeau-container.urgent {
    background-color: #bb110590;
}

.bandeau-defile {
    display: inline-block;
    padding-left: 100%;
    animation: defilement 10s linear infinite;
    white-space: nowrap;
}

.bandeau-container:hover .bandeau-defile {
    animation-play-state: paused;
}

@keyframes defilement {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-100%);
    }
}

.offre-urgente {
    margin-right: 50px;
    font-weight: bold;
    display: inline-block;
}

.newOffreParent {
    display: flex;
    flex-direction: column;
    align-items: center;

}

.newOffre {
    font-weight: bold;
    animation: clignote 2s infinite;

    margin: 10px;
    overflow: hidden;
}

@keyframes clignote {
    0% {
        transform: scale(1);
        opacity: 1;
        color: #0800ff;
    }

    50% {
        transform: scale(1.2);
        opacity: 0.75;
        color: #2b72f8;
    }

    100% {
        transform: scale(1);
        opacity: 1;
        color: #0800ff;
    }
}

/*------------*/
h1,
h2,
h3 {
    display: flex;
    justify-content: center;
    padding: 20px 0;
    margin: 0;
}

@media (max-width: 400px) {
    h1 {
        text-align: center;
    }
}

/*------------*/
.cardImg img {
    width: 100%;
    aspect-ratio: 2 / 1;

}

.card.cardAccueil h3 {
    padding: 10px;
}

.card.cardAccueil {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 20px;
    border-radius: 10px;
}

.card.cardAccueil a:hover {
    color: white;
    background-color: #000000;
    border: 1px solid white;
}

.not-connected-msg {
    color: rgb(240, 88, 88);
    font-style: italic;
}


/*------------*/
.badge-new {
    position: absolute;
    top: -10px;
    right: -10px;
    width: 50px;
    z-index: 10;
}

/*------------*/
.connexionForm,
.remember-me {
    display: flex;
    justify-content: center;
    margin-bottom: 1em;
}

.remember-me label {
    margin-bottom: 0;
    padding-left: 2%;
}

@media (max-width: 600px) {

    .connexionForm form {
        display: flex;
        flex-direction: column;
        gap: 1em;
    }

    .connexionForm input {
        padding: 0.8em;
    }
}

/*------------*/
.containerEdit {
    margin: 50px 0;
    display: flex;
    justify-content: center;
}

.formEditOffre,
.formAddOffre,
.formInscription,
.connexionForm {
    display: flex;
    align-items: center;
    justify-content: center;
}

.edit-reservation {

    width: fit-content;
}

.formAddOffre form,
.formEditOffre form,
.formEdit form,
.formAddSouvenir,
.souvenir,
.formInscription,
.connexionForm,
.EditResa,
.edit-reservation,
.reponseContact,
.contFooter {
    background-color: #f4e8c5;
    margin: 20px 0;
    align-items: center;
    justify-self: left;
    padding: 20px;
}
.contFooter {
    width: 100%;
}
.form-group {
    display: flex;
    margin: 1em 0.5em;
    gap: 10px;
}

.form-group label {
    width: 150px;
    font-weight: bold;
    margin-bottom: 0;

}

.form-group-custom-file label,
.edit-reservation .form-group {
    margin-left: 0;
}

.form-control-file {
    /* input new cate*/
    width: auto;
}

input[type="file"]::file-selector-button {
    background-color: rgb(108, 117, 125);
    color: white;
    border: 2px solid rgb(108, 117, 125);
    border-radius: 0.25rem;
    padding: 2% 2%;
    font-family: Arial, sans-serif;
    font-weight: bold;
}

input[type="file"]::file-selector-button:hover {
    background-color: rgb(240, 240, 240);
    border: #000000 solid 2px;
    color: black;
}

.custom-file-label {
    cursor: pointer;
}

.form-group textarea {
    width: 210px;
}

.input-error {
    border: 1px solid red;
}

.error-message {
    margin-left: 15%;
    color: red;
    font-size: 0.9em;
    margin-top: 0.3em;
}

.form-group.checkbox-group {
    display: flex;
    flex-wrap: wrap;
    gap: 1em;
}

.form-group.checkbox-group .checkbox-item {
    display: flex;
    margin-bottom: 10px;

}

.custom-file {
    width: auto;
}

.formAddOffre input[type="checkbox"],
.formEditOffre input[type="checkbox"] {
    transform: scale(2);
    cursor: pointer;
    accent-color: #28a745;
    align-items: center;
    margin-right: 10px;
}

.form-input-wrapper label {
    display: inline;
    margin-right: 20px;
}

.form-input-wrapper {
    display: flex;
    align-items: center;
}

@media screen and (max-width: 500px) {
    .form-text.text-muted {
        display: block;
        white-space: normal;
        word-wrap: break-word;
    }
}

.connexionForm,
.EditResa,
.reponseContact {
    width: 100%;
}

.EditResa .form-group {
    margin-left: 0;
}

.label-role {
    width: 60px;
    gap: 50px;
}

/*------------*/


.button-center {
    display: flex;
    justify-content: center;
    margin-top: 15px;
}

.center-btn {
    background-color: #393737;
    color: white;
    border-radius: 5px;
    padding: 5px 10px;
    border: #393737 solid 1px;
    font-size: 16px;
    cursor: pointer;
    margin-bottom: 2%;
}

.btnRetour {
    display: flex;
    justify-content: end;
    padding: 5px 30px;
    background: linear-gradient(90deg, #f7f7f6, #000000);
    text-decoration: none;

}

.retour-button {
    border: #393737 solid 1px;
    background-color: #fffcfc;
    color: #393737;
    border-radius: 5px;
    text-decoration: none;
    padding: 1%;
}

.retour-button:hover,
.center-btn:hover {
    border: #393737 solid 1px;
    background-color: #d6d5d5;
    color: #393737;
    border-radius: 5px;
    text-decoration: none;
}

@media (max-width: 600px) {
    .form-group.checkbox-group {
        display: flex;
        flex-direction: column;
        justify-self: center;
    }
}

/* -----------------------*/
.admin-menu {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: 50px 0;
}

/* -----------------------*/
.admin-card {
    width: 250px;
    margin: 1rem;
    padding: 1rem;
    background-color: #f4e8c5;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(121, 40, 202, 0.2);
    transition: transform 0.2s;
}

.admin-card:hover {
    transform: translateY(-3px);
}

.card-header {
    font-weight: bold;
    font-size: 1.1rem;
    margin-bottom: 0.5rem;
    text-align: center;
}

.card-body {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.dropdown-toggle {
    padding: 0.5rem 1rem;
    border: none;
    background-color: #636365;
    color: white;
    border-radius: 6px;
    cursor: pointer;
}


.dropdown-content {
    display: none;
    margin-top: 0.5rem;
    flex-direction: column;
    background: #636365;
    border-radius: 8px;
    padding: 0.5rem;
    width: 100%;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.dropdown-content a {
    padding: 0.4rem;
    text-decoration: none;
    color: #ffffff;
    border-radius: 4px;
    display: block;
    text-align: center;
}

.dropdown-content a:hover {
    background-color: #f4e8c5;
    color: #000000;
}

.card-body button:hover {
    background-color: #636365;
}

.btn.btn-primary {
    border: 1px solid #636365;
    background-color: #636365;
}

.btn.btn-primary:hover {
    background-color: #636365;
    border: 1px solid #000000;
    color: #000000;
}

.dashboard-title {
    display: flex;
    justify-content: center;
}


/*---------*/

.btn.btn-light {
    background-color: rgb(240, 240, 240);
    border: #000000 solid 2px;
    padding: 5% 0;
    border-radius: 0;
    width: 110%;
}

.btn.btn-light:hover {
    border: #000000 solid 2px;
}

.btn.btn-secondary {
    margin-bottom: 3%;
}

.btn.btn-secondary:hover,
.dropdown-toggle:hover {
    background-color: rgb(240, 240, 240);
    border: #000000 solid 2px;
    color: black;
}

.card-offre:hover {
    transform: translateY(-6px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.card-offre {

    border: 2px solid #787879;
    border-radius: 1rem;
    background: linear-gradient(145deg, #e3e5b7, white, #e3e5b7);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.08);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

/* -----------------------*/
.alert-error {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.info,
.info-message {
    text-align: center;
    font-style: italic;
    color: rgb(46, 6, 247);
    font-size: 0.9em;
    margin: 1rem 0;
}

/* -----------------------*/
.user {
    display: flex;
    justify-content: center;
}

.cadreLog,
.deleteResaForm {
    width: 75%;
    display: flex;
    justify-content: center;
    background-color: #f4e8c5;
    margin: 20px 0;
    padding: 10px 0;
}

.user-logs,
.offer-logs {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

/* -----------------------*/


.searchForm .form-inline {
    display: flex;
    justify-content: center;
    gap: 2em;
    margin: 30px 0 30px 0;
    align-items: center;
    background-color: #f4e8c5;
    padding: 10px 0;
}

.form-inline button {
    padding: 0.5em 1em;
    background-color: #393737;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}

.form-inline button:hover {
    background-color: white;
    color: #393737;
    border-radius: 5px;
}

.offre-item {
    display: flex;
    flex-direction: column;
    align-items: center;

}

.offre-item label {
    padding-right: 15px;
}

.offre-item input[type="checkbox"] {
    transform: scale(1.5);

}

@media (max-width: 600px) {
    .button-accueil {
        flex-direction: column;
        width: 100%;
        justify-content: center;
        padding: 25px;
    }

    .button-accueil a {
        display: flex;
        justify-content: center;
    }

    .searchForm .form-inline,
    .connexionForm,
    .dropdown {
        display: flex;
        flex-direction: column;
        width: 90%;
        margin: 0 5%;
    }

    .searchForm label {
        margin: 1em 1em 0.5em 1em;

    }

    .searchForm label,
    .searchForm input[type="text"],
    .searchForm button {
        width: 100%;

    }

    .searchForm input[type="text"],
    .searchForm button {
        box-sizing: border-box;
        font-size: 1rem;
        padding: 0.7em;
    }
}

.searchList {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 2%;
}

.noResult {
    display: flex;
    justify-content: center;
    background-color: #ed7979;
    padding: 10px;
    margin: 10px;
}

.noResult p {
    margin: 0;
}

.searchList ul {
    list-style: none;
    padding: 0;
    width: 100%;
    max-width: 800px;
}

.user-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.75em 1em;
    margin: 0.5em;
    border: 1px solid #ccc;
    border-radius: 8px;
    background-color: #f9f9f9;
}

.user-info {
    font-weight: bold;
}

.cadre,
.cadreHisto {
    border: 2px dotted #000000;
    padding: 5px;
    display: flex;
    justify-content: center;
    background-color: #f4e8c5;
}

.cadreBlanc {
    border: 2px dotted #000000;
    border-radius: 5px;
    background-color: #ffffff;
    padding: 5px;
    margin: 10px;
}

.encadre {
    justify-self: center;
    width: 60%;
    margin-top: 5px;
}

.offre-details-res form,
.offre-details-res {
    background-color: #f4e8c5;
    margin: 20px 0;
    align-items: center;
    justify-self: left;
    padding: 20px 20px 0 20px;
}

.encadreHisto {
    justify-self: center;
    width: 80%;
    margin: 20px;
}

.cadreHisto {
    margin-bottom: 5px;
}

.cadreHisto h3 {
    width: 40%;
}

.offre-details-res form {
    padding: 0;
    width: 100%;
}

.offre-details-res {
    justify-self: center;

}

.form-res-qnte {
    display: flex;
    margin-bottom: 20px;

}

.form-res-qnte label {
    margin-bottom: 0;
    align-self: center;
}

.form-res-qnte input[type="number"] {
    width: 100%;
    max-width: 120px;
}

@media screen and (max-width: 500px) {
    .form-res-qnte label {
        align-self: flex-start;
    }
}
/*---------*/
.reservation-list,
.reservation-logs {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10px;
}

.reservation-item {
    background-color: #f9f9f9;
    border-radius: 10px;
    padding: 15px;
    margin-bottom: 15px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    gap: 10px;
    width: 60%;
}

.reservation-info {
    font-size: 16px;
}

.reservation-actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.details {
    padding-top: 5%;
}

.modifier-wrapper {
    margin: 0 auto;
}

.btn.btn-dark:hover {
    background-color: #f0f0f0;
    color: black;
}

.supprimer-wrapper {
    margin-left: auto;
}

.btn.btn-danger:hover {
    background-color: #ffffff;
    color: rgb(242, 8, 8);
}

.btn.btn-success:hover {
    background-color: #ffffff;
    color: #28a745;
}

.deleteResaForm,
.deleteResaForm form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.deleteResaForm a,
.deleteResaForm button {
    margin-top: 8%;
}

/*---------*/
th,
td {
    text-align: center;
}

.badge.badge-success {
    color: #28a745;
}

.table {
    width: 90%;
    justify-self: center;
    margin-top: 20px;
    max-width: 100%;
}
.table-responsive {
    overflow-x: auto;
}

.table-responsive table {
    white-space: nowrap;
}

.mark-read {
    padding: 2px;
}

/*---------*/
.souvenir {
    width: 100%;
}

.souvenir-container {
    max-width: 800px;
    margin: 2rem auto;
    padding: 1rem;
    border: 1px solid #ddd;
    border-radius: 10px;
    background: #fafafa;
}

.souvenir-title {
    text-align: center;
    font-size: 1.8rem;
    margin-bottom: 1rem;
}

.souvenir-content {
    display: flex;
    gap: 1rem;
    align-items: flex-start;
}

.souvenir-photo img,
.carousel-inner {
    width: 250px;
    height: 250px;
    border-radius: 8px;
    object-fit: cover;
}

.souvenir-comment {
    flex: 1;
    font-size: 1rem;
}

.souvenir-footer {
    margin-top: 1rem;
    text-align: center;
    color: #313131;
    font-size: 0.9rem;
}

.souvenir-actions {
    display: flex;
    justify-content: left;
    margin: 5% 0 0 2%;
    gap: 5%;
}

/*---------*/
.magic-button {
    position: relative;
    display: inline-block;
    padding: 1rem;
    background: linear-gradient(135deg, #f49405, #f3f4a1);
    color: #000000;
    font-weight: bold;
    text-decoration: none;
    border: none;
    cursor: pointer;
    overflow: hidden;
    transition: 0.3s ease-in-out;
    font-family: 'Georgia', serif;
    letter-spacing: 1px;
    border-radius: 0;
}

.magic-button::before,
.magic-button::after {
    content: "";
    position: absolute;
    width: 15px;
    height: 15px;
    background: transparent;
    border: 2px solid #000000;
    transition: all 0.4s ease;
}

.magic-button::before {
    top: 0;
    left: 0;
    border-right: none;
    border-bottom: none;
}

.magic-button::after {
    bottom: 0;
    right: 0;
    border-left: none;
    border-top: none;
}

.magic-button:hover::before,
.magic-button:hover::after {
    width: 100%;
    height: 100%;
}

/*---------*/
.cadre-admin {
    height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;

}

.box-admin {
    width: 80%;
    background: #f4e8c5;
    position: relative;
    border-radius: 20px;
    padding-top: 10px;
}

.box-admin p {
    display: flex;
    justify-content: center;
}


.box-admin::before,
.box-admin::after {
    content: '';
    position: absolute;
    background: linear-gradient(45deg,
            #f49405, #f3f4a1, #f49405, #f3f4a1);
    top: 50%;
    left: 50%;
    width: 105%;
    height: 105%;
    transform: translate(-50%, -50%);
    background-size: 500%;
    z-index: -1;
    margin: 0;
    border-radius: 20px;
    animation: animate 20s infinite;
}

.box-admin::after {
    filter: blur(20px);
}

@keyframes animate {
    0% {
        background-position: 0 0;
    }

    50% {
        background-position: 300% 0;
    }

    100% {
        background-position: 0 0;
    }
}

/*---------*/